summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-shells/fish/fish-9999.ebuild')
-rw-r--r--app-shells/fish/fish-9999.ebuild26
1 files changed, 21 insertions, 5 deletions
diff --git a/app-shells/fish/fish-9999.ebuild b/app-shells/fish/fish-9999.ebuild
index 34e66d1137b..0ba68e1c675 100644
--- a/app-shells/fish/fish-9999.ebuild
+++ b/app-shells/fish/fish-9999.ebuild
@@ -3,7 +3,9 @@
EAPI=7
-inherit cmake readme.gentoo-r1
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit cmake python-any-r1 readme.gentoo-r1
DESCRIPTION="Friendly Interactive SHell"
HOMEPAGE="http://fishshell.com/"
@@ -21,8 +23,8 @@ fi
LICENSE="GPL-2"
SLOT="0"
+IUSE="+doc nls test"
-IUSE="doc nls test"
RESTRICT="!test? ( test )"
RDEPEND="
@@ -32,13 +34,25 @@ RDEPEND="
"
DEPEND="${RDEPEND}
- doc? ( app-doc/doxygen )
nls? ( sys-devel/gettext )
- test? ( dev-tcltk/expect )
+ test? (
+ ${PYTHON_DEPS}
+ dev-tcltk/expect
+ $(python_gen_any_dep '
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ ')
+ )
"
+# we don't need shpinx dep for release tarballs
+[[ ${PV} == 9999 ]] && DEPEND+=" doc? ( dev-python/sphinx )"
S="${WORKDIR}/${MY_P}"
+python_check_deps() {
+ use test || return 0
+ has_version -d "dev-python/pexpect[${PYTHON_USEDEP}]"
+}
+
src_prepare() {
# workaround for https://github.com/fish-shell/fish-shell/issues/4883
sed -i 's#${TEST_INSTALL_DIR}/${CMAKE_INSTALL_PREFIX}#${TEST_INSTALL_DIR}#' \
@@ -51,9 +65,11 @@ src_configure() {
-DCMAKE_INSTALL_BINDIR="${EPREFIX}/bin"
-DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
-DCURSES_NEED_NCURSES=ON
- -DBUILD_DOCS="$(usex doc)"
+ -DINSTALL_DOCS="$(usex doc)"
-DWITH_GETTEXT="$(usex nls)"
)
+ # release tarballs ship pre-built docs // -DHAVE_PREBUILT_DOCS=TRUE
+ [[ ${PV} == 9999 ]] && mycmakeargs+=( -DBUILD_DOCS="$(usex doc)" )
cmake_src_configure
}